<div class="modal-dialog" role="document" style="min-width: 770px;">
<form role="form" class="modal-content form-horizontal" method="post" action="<?=$this->url->get('create-tabs');?>">
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
    <h4>設定爬蟲列表</h4>
</div>

<div class="modal-body container">
    <p class="lead">新增網站</p>
    <div class="form-group row">
        <label class="form-label col-xs-3 col-sm-2">追蹤名稱</label>
        <div class="col-xs-9 col-sm-5">
        <input class="form-control" type="text" name="label" id="label" placehloder="中英文皆可" />
        </div>
        <label class="form-label col-xs-3 col-sm-2">類型</label>
        <div class=" col-xs-9 col-sm-3">
        <select name="type" id="type" class="form-control">
            <option value="">請選擇</option>
            <? foreach($tabs->getTypes() as $identify => $label):
                if( empty($label) ){ continue; }
            ?>
            <option value="<?=$identify;?>"><?=$label;?></option>
            <? endforeach; ?>
        </select>
        </div>
    </div>

    <div class="forn-group row">
        <label class="form-label col-xs-3 col-sm-2">內容來源</label>
        <div class=" col-xs-9 col-sm-10">
            <input class="form-control" type="text" name="source" id="source" placehloder="輸入追蹤首層網址" />
            <p class="help-block">例如：https://www.591.com.tw/home，請注意已新增來源無法重複新增。</p>
        </div>
    </div>

    <div class="forn-group row">
        <label class="form-label col-xs-3 col-sm-2">目標物件結尾識別網址</label>
        <div class=" col-xs-9 col-sm-10">
            <input class="form-control" type="text" name="endstring" id="endstring" placehloder="輸入到達網址規則。" />
            <p class="help-block">例如：sale-detail-[numbers].html</p>
        </div>
    </div>

    <div class="forn-group row">
        <p class="lead">目標篩選條件一</p>
        <div class="form-group row">
            <label class="form-label col-xs-3 col-sm-4">時間範圍</label>
            <div class=" col-xs-9 col-sm-2">
            <select name="condition[crontime]" id="crontime" class="form-control">
                <option value="">請選擇</option>
                <option value="60">1小時內</option>
                <option value="180">3小時內</option>
                <option value="360">6小時內</option>
                <option value="720">12小時內</option>
                <option value="1440">1天內</option>
                <option value="4320">3天內</option>
                <option value="10080">1週內</option>
            </select>
            </div>

            <span class="">
            <label class="form-label col-xs-3 col-sm-4">隨機次數上限</label>
            <div class="col-xs-9 col-sm-2">
            <select name="condition[crawllimit]" id="crawllimit" class="form-control">
                <option value="">請選擇</option>
                <option value="5">5次</option>
                <option value="10">10次</option>
                <option value="15">15次</option>
            </select>
            </div>
        </div>
        <p class="help-block">任何篩選條件都可忽略，預設抓取迴響數文章。</p>
    </div>

<hr/>
<?php if (count(\Pkrobot\Models\Tabs::find()) > 0) : ?>
<table class="table">
    <thead>
        <tr>
            <th>選擇加入</th>
            <th>名稱/識別碼</th>
            <th>主網址</th>
        </tr>
    </thead>
    <tbody>
    <?php foreach(\Pkrobot\Models\Tabs::find() as $tab): ?>
        <tr>
            <td>
            <input type="checkbox" name="tabsId[]" value="<?=$tab->tabsId;?>"
            <? if( !empty($this->session->get('auth-identity')->tablist) and in_array($tab->tabsId, unserialize($this->session->get('auth-identity')->tablist)) ):?>
            checked="checked"
            <? endif; ?>
             />
            </td>
            <td><?=$tab->label.'/'.$tab->dirname; ?></td>
            <td><?=$tab->source;?></td>
        </tr>
    <?php endforeach ?>
    </tbody>
</table>
<? endif; ?>

</div>

<div class="modal-footer">
<div class="text-right">
    <button type="submit" class="btn btn-primary">建立爬蟲</button>
    <button type="button" class="btn btn-default" data-dismiss="modal" aria-hidden="true">關閉視窗</button>
</div>
</form>

</div>